# $Id$
# Authority: matthias

%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Summary: Framework for developing graphical applications in Python
Name: kiwi
Version: 1.9.5
Release: 1.2.fc4.1
License: LGPL
Group: System Environment/Libraries
URL: http://www.async.com.br/projects/kiwi/
Source: http://www.async.com.br/projects/kiwi/download/kiwi-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: pygtk2 >= 2.6.0, gazpacho >= 0.6.5
Requires: python-abi = %(%{__python} -c "import sys; print sys.version[:3]")
BuildRequires: pygtk2 >= 2.6.0, gazpacho >= 0.6.5
BuildArch: noarch

%description
Kiwi is a framework composed of a set of modules, which eases Python
development using PyGTK. Kiwi makes graphical applications *much* faster
to code, with good architecture and more Python-like bindings; it also
offers extended widgets based upon the original PyGTK widgets.


%prep
%setup


%build


%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install --root=%{buildroot}

# Put gazpacho widget back into the right place (lib64, but should be lib)
%if "%{_lib}" != "lib"
%{__mv} %{buildroot}%{_libdir}/python*/site-packages/gazpacho/ \
        %{buildroot}%{python_sitelib}/gazpacho
%endif

# Remove docs, we want to include them in a versionned directory with %%doc
%{__rm} -rf %{buildroot}%{_defaultdocdir}/kiwi/


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING NEWS README doc/*.* examples/
%{_bindir}/kiwi-i18n
%{_bindir}/kiwi-ui-test
%{python_sitelib}/gazpacho/widgets/kiwiwidgets.py
%{python_sitelib}/gazpacho/widgets/kiwiwidgets.pyc
%ghost %{python_sitelib}/gazpacho/widgets/kiwiwidgets.pyo
%{python_sitelib}/kiwi/*/*/*.py
%{python_sitelib}/kiwi/*/*/*.pyc
%ghost %{python_sitelib}/kiwi/*/*/*.pyo
%{python_sitelib}/kiwi/*/*.py
%{python_sitelib}/kiwi/*/*.pyc
%ghost %{python_sitelib}/kiwi/*/*.pyo
%{python_sitelib}/kiwi/*.py
%{python_sitelib}/kiwi/*.pyc
%ghost %{python_sitelib}/kiwi/*.pyo
%{_datadir}/gazpacho/catalogs/kiwiwidgets.xml
%{_datadir}/gazpacho/resources/kiwiwidgets
%{_datadir}/kiwi/glade/PluggableWizard.glade
%{_datadir}/kiwi/pixmaps/validation-error-16.png


%changelog
* Tue Feb 14 2006 Matthias Saou <http://freshrpms.net/> 1.9.5-1
- Initial RPM release.

